Автор Тема: GIMP - мощный и многоцелевой графический редактор  (Прочитано 3498 раз)

Оффлайн vita

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 3005
  • Да будет свет!
Проверила в Matuntu-B64-M-R работоспособность GIMP версии 2.10.2.
При попытке установить пакет с дополнительными плагинами (gimp-plugin-registry_7.20140602ubuntu3_amd64.deb) появилось
сообщение об ошибке
E: /var/cache/apt/archives/gimp-plugin-registry_7.20140602ubuntu3_amd64.deb: попытка перезаписать «/usr/lib/gimp/2.0/plug-ins/wavelet-decompose», который уже имеется в пакете gimp 2.10.2+omg-0ubu18.04.1~ppa

(Чтение базы данных … на данный момент установлено 254776 файлов и каталогов.)
Подготовка к распаковке …/gimp-plugin-registry_7.20140602ubuntu3_amd64.deb …
Распаковывается gimp-plugin-registry (7.20140602ubuntu3) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/gimp-plugin-registry_7.20140602ubuntu3_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/gimp/2.0/plug-ins/wavelet-decompose», который уже имеется в пакете gimp 2.10.2+omg-0ubu18.04.1~ppa
dpkg-deb: ошибка: вставка subprocess was killed by signal (Обрыв канала)
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/gimp-plugin-registry_7.20140602ubuntu3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при установке пакета. Попытка восстановления:
, которая штатными средствами не исправлялась.
Для решения данной проблемы были скачаны и установлены два пакета из пакетной базы Debian.org:

В результате количество подключённых в GIMP плагинов практически утроилось  :)
После установки плагина MathMap для Ubuntu 18.04 - страница загрузки - пакет mathmap_1.3.5-18.04Ubuntu_amd64.deb

в просмотрщике плагинов теперь 594 расширения.
Делай с нами, делай как мы, делай лучше нас!

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1906
Из редакторов с открытым кодом - Гимп самый мощный. Уступает фотошопу по производительности,  но имеет большое количество бесплатных плагинов, с помощью которых можно создавать эффекты не хуже, а то и получше фотошоповских, тем более, что за последние надо платить(взламывать). Жаль только, что разрабами заброшен прекрасный плагин Mathmap. Последняя версия 1.3.5 - была написана для Гимп 2.6 году этак в 2010 -2011. Для Гимп 2.8 Линукс-версии плагина написано так и не было... https://www.complang.tuwien.ac.at/schani/mathmap/

Теперь любимый плагин заработал даже в тестовой версии GIMP. Это как в своё время были заброшены эффекты компиза, а теперь их возродили как феникс из пепла. 

PS. Много интересного о гимпе и его плагинах можно найти на англоязычном форуме http://gimpchat.com
Что непонятно спрашиваем, если всё понятно - пользуемся.
Что бы ни случилось, всё будет хорошо!

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1906
Опыта работы в гимпе особо не имею.
Поигрался со снимком роз перед моим окном.
Что непонятно спрашиваем, если всё понятно - пользуемся.
Что бы ни случилось, всё будет хорошо!

Оффлайн vita

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 3005
  • Да будет свет!
Проверила работу портативного GIMP-а в Matuntu-B64.
Программа версии 2.9.3 запустилась в русскоязычном интерфейсе и по умолчанию в однооконном режиме

Скачать пакет размером 69,25 МБ можно здесь.
Делай с нами, делай как мы, делай лучше нас!

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 1906
Недавно состоялся выпуск графического редактора GIMP 2.10.6, в котором продолжено оттачивание функциональности стабильной ветки 2.10.
Об основных новшествах этой версии сообщается в новости на опеннете.
Чтобы установить GIMP 2.10.6 в Matuntu-B64-M-R удалил из системы тестовую ветку GIMP 2.99 из второго репозитория стартового поста,

который  предварительно отключил.
После этого добавил первый репозиторий и из него установил GIMP 2.10.6,

который иначе не поставится, т.к. иначе будут неразрешимые зависимости версий компонентов, поэтому 2.99 удалить нужно подчистую.
Что такое 9 и 10? Близок локоть да не укусишь  :)
Что непонятно спрашиваем, если всё понятно - пользуемся.
Что бы ни случилось, всё будет хорошо!

Оффлайн vita

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 3005
  • Да будет свет!
Проверила работу стабильной версии GIMP 2.8.22 из основного репозитория Ubuntu 18.04 LTS в Matuntu-B64. Беспроблемно установились пакеты gimp-plugin-registry и gimp-gmic. Плагин Beautify можно установить из пакета gimp-beautify - 0.5.3+git20150228.8953abff-1dhor~xenial  для Ubuntu 16.04, который можно скачать из репозитория ppa:dhor/myway.

P.s.: пакет плагина MathMap mathmap_1.3.5-18.04Ubuntu_amd64.deb в систему инсталлируется и появляется в контекстном меню, но, к сожалению, не функционирует, сообщая об ошибке
Спойлер
(Перевод) Не удалось выполнить компилятор MathMap по следующей причине: C не удалось. См. Файл журнала `/tmp/mathfunc5274_1.log '.
(Оригинал)The MathMap compiler failed, for the following reason: C compiler failed.  See logfile `/tmp/mathfunc5274_1.log'.
Текст указанного лога:
gcc -O2 -c -fPIC -o /tmp/mathfunc1869_1.o /tmp/mathfunc1869_1.c
In file included from /tmp/mathfunc1869_1.c:45:0:
/usr/share/gimp/2.0/mathmap/opmacros.h:28:10: fatal error: gsl/gsl_version.h: Нет такого файла или каталога
 #include <gsl/gsl_version.h>
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
Разработчики плагина MathMap со страницы загрузки убрали пакеты для Linux, объясняя причину:
Цитировать
Linux binaries are not available at this point because of a technical hiccup.
« Последнее редактирование: 07 Октября 2018, 17:11:12 от vita »
Делай с нами, делай как мы, делай лучше нас!